// #name = KmaAltiSpdHud
// #version = 1.0
// #date = 25 March 2002
// #author = Kaiten Commander
// #credits = DogmeatX, His Idea!!
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.clan-kma.com
// #description = Shows Speed,In a little Hud with Missile evade speed indicator.
// #status = beta

$KmaAltiSpdHudLabelColour = "0 192 0";

package KmaAltiSpdHud
{
	
function KmaAltiSpdHudUpdate()
{
	if ($KmaAltiSpdHudSchedule != 0) cancel($KmaAltiSpdHudSchedule);
	$KmaSpd1 = mFloor(getControlObjectSpeed() * 3.6);
	$KmaAlt1 = getControlObjectAltitude();
	$KmaAltiSpeed1 = "400";
	KmaSpdHudBar.value = $KmaSpd1 / $KmaAltiSpeed1;
	KmaAltHudBar.value = $KmaAlt1 / $KmaAltiSpeed1;
	$KmaAltiSpdHudSchedule = schedule(500, 0, KmaAltiSpdHudupdate);

}

function KmaAltiSpdHudSetup()
{
	new GuiControlProfile ("KmaAltiSpdHudLabelProfile")
	{
		fontType = "Univers Condensed";
		fontSize = 16;
		fontColor = $KmaAltiSpdHudLabelColour;
		justify = "left";
	};	
}

function KmaAltiSpdHudCreate()
{
	KmaAltiSpdHudDestroy();

	new ShellFieldCtrl(KmaAltiSpdHud) {
		profile = "GuiChatBackProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = getword($pref::Video::resolution, 0)-160 @ " " @ getword($pref::Video::resolution, 1)/3;
		extent = "160 40";
		minExtent = "160 40";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new GuiTextCtrl()
		{
			profile = "KmaAltiSpdHudLabelProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "24 0";
			extent = "25 16";
			visible = "1";
			text = "0";
		};
		new GuiTextCtrl()
		{
			profile = "KmaAltiSpdHudLabelProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "48 0";
			extent = "25 16";
			visible = "1";
			text = "100";
		};
		new GuiTextCtrl()
		{
			profile = "KmaAltiSpdHudLabelProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "79 0";
			extent = "25 16";
			visible = "1";
			text = "200";
		};
		new GuiTextCtrl()
		{
			profile = "KmaAltiSpdHudLabelProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "110 0";
			extent = "25 16";
			visible = "1";
			text = "300";
		};
		new GuiTextCtrl()
		{
			profile = "KmaAltiSpdHudLabelProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "141 0";
			extent = "25 16";
			visible = "1";
			text = "400";
		};		
		new GuiTextCtrl()
		{
			profile = "KmaAltiSpdHudLabelProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "2 12";
			extent = "25 16";
			visible = "1";
			text = "SPD-";
		};
		new GuiTextCtrl()
		{
			profile = "KmaAltiSpdHudLabelProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "3 22";
			extent = "25 16";
			visible = "1";
			text = "ALT-";
		};
		new HudBitmapCtrl()
		{
			profile = "GuiButtonProfile";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "18 0";
			extent = "141 40";
			opacity = "0.6";
			autoCenter = "0";
			minExtent = "141 40";
			bitmap = "gui/KmaAltiSpdHudImg";
			autoCenter = "0";
			autoResize = "0";
			flipVertical = "0";
			flipHorizontal = "0";		
			visible = "1";
		
			new HudBarBaseCtrl(KmaSpdHudBar)
			{
				profile = "GuiDefaultProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "8 16";
				extent = "125 10";
				minExtent = "125 10";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				fillColor = "0.000000 1.000000 0.000000 1.000000";
				frameColor = "0.000000 1.000000 0.000000 1.000000";
				opacity = "0.6";
				autoCenter = "0";
				autoResize = "0";
				flipVertical = "0";
				flipHorizontal = "0";
				subRegion = "0 2 125 8";
				displayMounted = "0";
				pulseRate = "500";
				pulseThreshold = "0.3";
				verticalFill = "0";
				value = "0.868807";
			};
			new HudBarBaseCtrl(KmaAltHudBar)
			{
				profile = "GuiDefaultProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "8 25";
				extent = "125 10";
				minExtent = "125 10";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				fillColor = "0.000000 1.000000 1.000000 1.000000";
				frameColor = "0.000000 1.000000 0.000000 1.000000";
				opacity = "0.6";
				autoCenter = "0";
				autoResize = "0";
				flipVertical = "0";
				flipHorizontal = "0";
				subRegion = "0 2 125 8";
				displayMounted = "0";
				pulseRate = "500";
				pulseThreshold = "0.3";
				verticalFill = "0";
				value = "0.868807";
			};
		};
	};

	playgui.add(KmaAltiSpdHud);

	if(isObject(HM) && isObject(HudMover))
		hudmover::addhud(KmaAltiSpdHud,"KmA AltiSpeed Hud");
}

function KmaAltiSpdHudDestroy()
{
	if ($KmaAltiSpdHud !$= "")
	{
		playgui.remove(KmaAltiSpdHud);
		KmaAltiSpdHud.delete();
		$KmaAltiSpdHud = "";
	}
}

function LoadingGui::onWake(%this)
{
	if (!$KmaAltiSpdHudLoad)
	{
		KmaAltiSpdHudCreate();
		KmaAltiSpdHudUpdate();
		$KmaAltiSpdHudLoad = true;
	}
	
	parent::onWake(%this);
}

function KmaAltiSpdHudToggle(%val)
{
    if (%val)
    {
        if($KmaSpeedToggle)
        {
		$KmaSpeedToggle = false;
		playgui.remove(KmaAltiSpdHud);
         }
         else
         {
		$KmaSpeedToggle = true;
		playgui.add(KmaAltiSpdHud);
        }
     }
}

function DispatchLaunchMode()
{
	KmaAltiSpdHudSetup();

	parent::DispatchLaunchMode();
}

function OptionsDlg::onWake( %this )
{
	if(!$KmaAltiSpdHudBind) {
        	$RemapName[$RemapCount]="KmA AltiSpeed Hud";
        	$RemapCmd[$RemapCount]="KmaAltiSpdHudToggle";
        	$RemapCount++;
         	$KmaAltiSpdHudBind = true;
   	}
   	parent::onWake( %this );
}

}; 
activatePackage(KmaAltiSpdHud);		